Subject: Re: [core] POST vs PUT in I-D coap-01

From: Zach Shelby <[email-masked]>
Date: Mon, 2 Aug 2010 14:26:55 +0300

On Jul 30, 2010, at 7:09 PM, Simpson, Robby (GE Energy Services) wrote:

> I would strongly recommend using the same semantics as 2616, but only the bits applicable to a RESTful interface (for instance, I think we could leave out the POST functionality for forms). 

Agreed.

> 
> In short, PUT for modifying a resource or creating at a specific URI and POST for creating a subordinate resource for a given URI or adding to a "list" at a given URI. 

This is exactly what the current coap-01 text should do. If Owen or anyone else feels the text for the POST or PUT subsections needs some tweaking then suggestions are welcome for coap-02. 

Thanks,
Zach 

> 
> - Robby
> 
> 
> ------------
> Sent from my BlackBerry - thus the tpyos and brvty
> 
> ----- Original Message -----
> From: [email-masked] <[email-masked]>
> To: [email-masked] <[email-masked]>
> Cc: [email-masked] <[email-masked]>
> Sent: Fri Jul 30 08:55:46 2010
> Subject: [core] POST vs PUT in I-D coap-01
> 
> Hi,
> 
> During the plugfest on Wednesday, I found that the text on the methods
> POST and PUT in sections 2.3.2 and 2.3.3 is somewhat ambiguous (at least
> to me).  I read this as POST is the method to create new resources that
> are identified by the given request URI while PUT is used specifically
> for modifying existing resources (as the creation of new resources is a
> MAY in section 2.3.3).
> 
> I suppose the intention of POST and PUT is the very same as in sections
> 9.5 and 9.6 of RFC 2616?
> 
> Thanks,
> Olaf
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://zachshelby.org  - My blog "On the Internet of Things"
http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
Mobile: +358 40 7796297